Package org.jcsp.net

# Interface NetChannelOutput

All Superinterfaces:
  `ChannelOutput`, `Networked`, `Poisonable`

All Known Subinterfaces:
  `MigratableChannelOutput`, `NetSharedChannelOutput`

public interface NetChannelOutput extends ChannelOutput, Networked

An interface that should be implemented by `ChannelOutput` objects which are used for transmitting over the network.

As well as usefully combining the `Networked` and `ChannelOutput` interfaces, this interface adds a `recreate()` that requests the implementing class should reinitialize itself.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyWriter()`
Destroys the channel writer end and frees all the underlying JCSP.NET resources.
`Class`
`getFactoryClass()`
Returns the factory class used for constructing this channel end object.
`void`
`recreate()`
Requests that the instance of the implementing class should reinitialize itself.
`void`
`recreate(NetChannelLocation newLoc)`
Requests that the instance of the implementing class should reinitialize itself with a new location.

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Method Details

### recreate

void recreate()

Requests that the instance of the implementing class should reinitialize itself.

### recreate

void recreate(NetChannelLocation newLoc)

Requests that the instance of the implementing class should reinitialize itself with a new location.

Parameters:
  `newLoc` - the new location.

### destroyWriter

void destroyWriter()

Destroys the channel writer end and frees all the underlying JCSP.NET resources.

### getFactoryClass

Class getFactoryClass()

Returns the factory class used for constructing this channel end object.

Returns:
  the `Class` of the